Import rows, for example preview files, time spents, playlists, milestones, notifications or attachment files, from another Kitsu instance. Synchronization tools use this route to copy data from another Kitsu instance. Send a JSON list of rows, with their identifiers. A row that exists is updated. Else, it is created. You must be an administrator.
Query parameters
-
Do not send an event for each imported row. Use it for large imports.
Default value is
false.
POST
/import/kitsu/preview-files
curl \
--request POST '/api/import/kitsu/preview-files' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Example resource",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250"
}
]'
Request example
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Example resource",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250"
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Imported resource",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]